4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildExt

Classes: BuildExt

## Classes

class BuildExt(distutils.command.build_ext.build_ext)

### Methods

build_extension(self, ext)
get_source_files(self)
prep_build(self, ext)

### Methods inherited from class distutils.command.build_ext.build_ext

build_extensions, check_extensions_list, finalize_options, find_swig, get_export_symbols, get_ext_filename, get_ext_fullname, get_libraries, get_outputs, initialize_options, run, swig_sources

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

command_name = 'build_ext'

### Fields